### Method

# Gck Enumerator set_object_type

#### Declaration [src]

    void
    gck_enumerator_set_object_type (
      GckEnumerator* self,
      GType object_type
    )

#### Description [src]

Set the type of objects to be created by this enumerator. The type must always be either `GckObject` or derived from it.

If the `GckObjectCache` interface is implemented on the derived class and the default_types class field is set, then the enumerator will retrieve attributes for each object.

This method is not directly available to language bindings.

The implementation of this method is provided by `gck_enumerator_set_object_type_full()` in language bindings

Sets property | `Gck.Enumerator:object-type`

#### Parameters

`object_type`

  Type: `GType`

  The type of objects to create.